using System.ComponentModel;
using Luski.Shared.GlobalAttributes;

namespace Luski;

[Flags]
public enum ConsoleLog : long
{
    None = 0,
    [Shared.GlobalAttributes.DisplayName("OpenGL Errors")]
    [Description("Show OpenGL Major Errors")]
    BigErrosForOpenGL = 1,
    [Shared.GlobalAttributes.DisplayName("OpenGL Medium Errors")]
    [Description("Show OpenGL Medium Errors")]
    MediumErrosForOpenGL = 2,
    [Shared.GlobalAttributes.DisplayName("OpenGL Small Errors")]
    [Description("Show OpenGL Small Errors")]
    LowErrosForOpenGL = 4,
    [Shared.GlobalAttributes.DisplayName("OpenGL Info")]
    [Description("Show OpenGL Info")]
    InfoForOpenGL = 8,
    [Shared.GlobalAttributes.DisplayName("Log Frames")]
    [Description("Shows draw fram message in the console")]
    DrawFrames = 16,
    [Shared.GlobalAttributes.DisplayName("Show Missing Charters")]
    [Description("Show Missing Charters")]
    ShowMissingChar = 32,
    [Shared.GlobalAttributes.DisplayName("GLFW Errors")]
    [Description("Show GLFW Errors")]
    ShowErrorsForGLFW = 64
}